varying vec3 normal;

void main()
{
	float intensity;
	vec4 color;
	vec3 n = normalize(normal);

	intensity = dot(vec3(gl_LightSource[1].position), n);

	if(intensity > 0.975)
		color = vec4(1.0, 0.25, 0.25, 1.0);
	else if(intensity > 0.5)
		color = vec4(1.0, 0.0, 0.0, 1.0);
	else if(intensity > 0.25)
		color = vec4(0.66, 0.0, 0.0, 1.0);
	else
		color = vec4(0.2, 0.0, 0.0, 1.0);

	gl_FragColor = color;
}
